<%-- 
    Document   : reporteHorario_local
    Created on : 16/12/2014, 09:43:04 AM
    Author     : sistem16user
--%>

<%@page import="pe.siso.horario.Beans.Aula"%>
<%@page import="pe.siso.horario.Services.AulaServices"%>
<%@page import="pe.siso.horario.Beans.Curso"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="pe.siso.horario.Beans.Horario"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page import="pe.siso.horario.Services.CursoServices"%>
<%@page import="pe.siso.horario.Beans.Bloque"%>
<%@page import="pe.siso.horario.Services.HorarioServices"%>
<%@page import="pe.siso.horario.Services.BloqueServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
        String codalua = request.getParameter("codAula");
        String nom = request.getParameter("nom");
        String codcentro=request.getParameter("codcentro");
        String tipocentro=request.getParameter("tipocentro");
        String codigoSede=request.getParameter("codigoSede");
       
        BloqueServices servicio = new BloqueServices();
        HorarioServices servicios1 = new HorarioServices();
        AulaServices servicio3 = new AulaServices();
        
        Bloque bloque = new Bloque();
        CursoServices servicios2 = new CursoServices();
        DocenteServices servicioDoc = new DocenteServices();
        ArrayList<Aula> lista2 = null;
        
        lista2=servicio3.reporteAulasHorario(codigoSede, codalua);
        
        ArrayList<Bloque> lista = null;
        bloque = servicios1.consultarCodigoGrupoTurno(codalua);
        String codGruBlo = bloque.getCod_gru();
        String turno = request.getParameter("turno");
        lista = servicio.consultarDetalleBloque(codGruBlo);
        
        int cont=1;
        int blo=1;
         String nombreCentro="";
         String nombreTipoCentro="";
%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title> VER HORARIOS</title>
    </head>
    <body>
     <%
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=Reporte por local.xls"); 
        
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "style='background-color:#B5E0F5; border:solid 0.5pt;'";
            
     if(!codGruBlo.equals("")){
     String nombreTurno="";
     
        if(turno.equals("1")){
            nombreTurno="MAÑANA";      
        }else if(turno.equals("2")){ 
            nombreTurno="TARDE";
        }else{
          nombreTurno="NOCHE";  
        }
    %>
     <table align='center' border='0' cellpadding= '0' cellspacing= '0'>
        <tr>
            <td height='15'></td>
        </tr>
        <tr>
        <% 
            for(int j=0; j<lista2.size(); j++){
             nombreCentro= lista2.get(j).getNombreCentro();
             nombreTipoCentro= lista2.get(j).getNombreTipoCentro();
            }
        %>
        <td height='30' colspan='7' align='center'><font color='#006090' style='font-size:18px'><b>AULA:</b> <%=codcentro%> :: <%=nombreTipoCentro%> :: <%=nombreCentro%> :: <%=nom%>  <%=nombreTurno%> </font></td>
        </tr>
        <tr>
            <td height='15'></td>
        </tr>
        <tr > 
            <td width='130' <%=borderColorTitulo%> align='center'>HORARIO</td>
            <td width='130' <%=borderColorTitulo%> align='center'>LUNES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>MARTES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>MIERCOLES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>JUEVES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>VIERNES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>SÁBADO</td>
        </tr>  
        <%
            for(int i=0;i<lista.size(); i++){
                
                 String ini = lista.get(i).getHor_ini();
                 String fin = lista.get(i).getHor_fin();
            if(cont%2==0){
        %>
                    <tr>
                        <td <%=estilo%> align='center'><%=ini%> a <%=fin%></td>
                        <td <%=estilo%> height='20' colspan='6' align='center' >R E C E S O</td>
                    </tr>
                    
        <% 
            }else{
        %>    
                    <tr>
                    <td <%=border%> height='40' align='center'><%=lista.get(i).getHor_ini()%> a <%=lista.get(i).getHor_fin()%></td>
                     
                        
                     
                    
        <%   
            for(int dia=1;dia<=6;dia++){
                        String diaAct = ""+dia;
                        String bloAct = ""+blo;
                        int cant = servicios1.cantidadAsignado(codalua, diaAct, bloAct);
            if(cant>0){
                            //pw.println("    <td align='center' ><a href=\"javascript:verDetalleHorario('"+codalua+"','"+blo+"','"+dia+"','"+ini+"','"+fin+"');\" class='regular' ><img src='imagenes/icons/calendar-task.png'/></a></td>");
                            Horario horario = new Horario();
                            horario = servicios1.consultarDatosAsignados(codalua, diaAct, bloAct);
                            String codCur = horario.getCodidoCurso_HorarioCursoDoc();
                            String codDoc = horario.getCodigoDocente_HorarioCursoDoc();
                            Docente docente = new Docente();
                            docente = servicioDoc.NombreDocente(codDoc);
                            String NombreCompleto = docente.getApe_pro()+", "+docente.getNom_pro();
                            Curso curso = new Curso();
          
                            curso = servicios2.NombreCurso(codCur);
                            String NombreCurso = curso.getNom_cur();
                            String NombrePlana = curso.getNom_pla();
                            String NombreArea = curso.getNom_are();
                            String color = curso.getColor_plana();
          %>
          
          <td <%=border%> align='center' style='background-color:<%=color%>' width='150' height='65' ><font color='#040404'><b>Curso:</b><%=NombreCurso%></font><br><font color='#040404'><b>Docente:</b><%=NombreCompleto%> </font></td>                
        <%    
            }else{
        %>
        <td <%=border%> align='center' height='65' > <font color='red'> Sin curso </font>
        </td> 
        
         <%   
            }
            
            }
        %>
        </tr>
       
       
        <%
   
        blo++;
        
        }
        cont++;
        
        %>
        
        
        
    
     
     <%
      }
     }       
     %>   
    </table> 
    
    
    </body>
</html>
